## grails.test
Class GroovyPagesTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              groovy.util.GroovyTestCase
                  grails.test.GroovyPagesTestCase

All Implemented Interfaces:
  groovy.lang.GroovyObject, junit.framework.Test

    public class GroovyPagesTestCase

extends groovy.util.GroovyTestCase
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class groovy.util.GroovyTestCase
`log, TEST_SCRIPT_NAME_PREFIX`

Constructor Summary
`GroovyPagesTestCase()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `applyTemplate(Object template)`
`Object` `applyTemplate(Object template, Object params)`
`Object` `assertOutputEquals(Object expected, Object template)`
`Object` `assertOutputEquals(Object expected, Object template, Object params)`
`Object` `assertOutputEquals(Object expected, Object template, Object params, groovy.lang.Closure transform)`
`GroovyPagesTemplateEngine` `getGroovyPagesTemplateEngine()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setControllerName(String name)`
`void` `setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class groovy.util.GroovyTestCase
`assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFailWithCause`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyPagesTestCase

    public GroovyPagesTestCase()

Method Detail

### getGroovyPagesTemplateEngine

    public GroovyPagesTemplateEngine getGroovyPagesTemplateEngine()

### setGroovyPagesTemplateEngine

    public void setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine value)

### setControllerName

    public void setControllerName(String name)

### assertOutputEquals

    public Object assertOutputEquals(Object expected,
                                     Object template,
                                     Object params,
                                     groovy.lang.Closure transform)

### applyTemplate

    public Object applyTemplate(Object template,
                                Object params)

### assertOutputEquals

    public Object assertOutputEquals(Object expected,
                                     Object template,
                                     Object params)

### assertOutputEquals

    public Object assertOutputEquals(Object expected,
                                     Object template)

### applyTemplate

    public Object applyTemplate(Object template)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project